View Issue Details

IDProjectCategoryView StatusLast Update
0017277mantisbtemailpublic2015-04-04 12:16
ReportergrangewayAssigned Tograngeway 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017277: Allow use of wildcards when limiting email domain names
Description

It should be possible to make use of basic wildcards when limiting email domain names within mantis.

Our example configuration states:

$g_limit_email_domains = array( 'users.sourceforge.net', 'sourceforge.net' );

It would be good to be able to handle all subdomains under 'sourceforge.net' by allowing the ability to specify:

$g_limit_email_domains = array( '*.sourceforge.net' );

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master d5870f80

2014-01-06 17:46:19

Paul Richards

Details Diff
limit_email_domains: Allow users to be locked to a choice of multiple email domains, instead of a single domain. For example:

$g_limit_email_domains = array( 'users.sourceforge.net', 'sourceforge.net' );

would allow people to sign up using email address @users.sourceforge.net or @sourceforge.net only
mod - account_update.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/email_api.php Diff File
mod - core/obsolete.php Diff File
mod - core/print_api.php Diff File
mod - lost_pwd.php Diff File
mod - manage_user_create.php Diff File
mod - manage_user_update.php Diff File
mod - signup.php Diff File

Issue History

Date Modified Username Field Change
2014-05-02 19:16 grangeway New Issue
2014-05-29 03:30 grangeway Assigned To => grangeway
2014-05-29 03:30 grangeway Status new => assigned
2014-09-22 16:18 grangeway Changeset attached => MantisBT master d5870f80
2014-09-22 16:19 grangeway Status assigned => resolved
2014-09-22 16:19 grangeway Resolution open => fixed
2014-10-02 18:21 atrol Status resolved => closed
2015-04-04 12:15 dregad Fixed in Version => 1.3.0-beta.1
2015-04-04 12:16 dregad Target Version => 1.3.0-beta.1